GrailsProjectCleaner (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.project.creation

## [Groovy] Class GrailsProjectCleaner

- org.codehaus.groovy.grails.project.creation.GrailsProjectCleaner

- Responsible for cleaning a Grails project

  Authors:
    Graeme Rocher
  Since:
    2.3

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class BaseSettingsApi` | `appClassName, buildEventListener, buildProps, buildSettings, configSlurper, enableProfile, grailsAppName, grailsHome, isInteractive, metadata, metadataFile, pluginSettings, pluginsHome, resolver`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `groovy.util.AntBuilder` | `ant`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsProjectCleaner (BuildSettings settings, GrailsBuildEventListener buildEventListener)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `clean(boolean triggerEvents = true)` Implementation of clean
    `void` | `cleanAll(boolean triggerEvents = true)` Cleans a Grails project
    `void` | `cleanCompiledSources(boolean triggerEvents = true)` Cleans compiled Java and Groovy sources
    `void` | `cleanTestReports(boolean triggerEvents = true)` Cleans the test reports
    `void` | `cleanWarFile(boolean triggerEvents = true)` Cleans the deployable .war file
    `void` | `cleanWork()`
    `groovy.util.AntBuilder` | `getAnt()`
    `void` | `setAnt(groovy.util.AntBuilder ant)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class BaseSettingsApi` | `confirmInput, confirmInput, copyGrailsResource, copyGrailsResource, copyGrailsResources, copyGrailsResources, createXmlSlurper, enableUaa, exit, getAppClassName, getAppGrailsVersion, getBuildEventListener, getBuildProps, getBuildSettings, getConfigSlurper, getGrailsAppName, getGrailsAppVersion, getGrailsHome, getIsInteractive, getMetadata, getMetadataFile, getPluginBuildSettings, getPluginSettings, getPluginsHome, getPropertyValue, getResolver, getServerHost, getServerPort, getServerPortHttps, getServletVersion, grailsResource, isDeclared, isEnableProfile, logError, logErrorAndExit, makeApiAvailableToScripts, makeRelative, makeRelative, profile, readAllPluginXmlMetadata, readPluginXmlMetadata, resolveResources, updateMetadata, updateMetadata`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### groovy.util.AntBuilder ant

  - ### Constructor Detail

    - #### GrailsProjectCleaner(BuildSettings settings, GrailsBuildEventListener buildEventListener)

  - ### Method Detail

    - #### void clean(boolean triggerEvents = true)

      Implementation of clean

    - #### void cleanAll(boolean triggerEvents = true)

      Cleans a Grails project

    - #### void cleanCompiledSources(boolean triggerEvents = true)

      Cleans compiled Java and Groovy sources

    - #### void cleanTestReports(boolean triggerEvents = true)

      Cleans the test reports

    - #### void cleanWarFile(boolean triggerEvents = true)

      Cleans the deployable .war file

    - #### void cleanWork()

    - #### @groovy.transform.CompileStatic groovy.util.AntBuilder getAnt()

    - #### void setAnt(groovy.util.AntBuilder ant)